=begin
#ChannelShipper & Royal Mail Public API

#Import your orders, retrieve your orders and generate labels.

OpenAPI spec version: 1.0.0

Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: 3.0.34
=end

require 'spec_helper'
require 'json'

# Unit tests for RoyalMail::LabelsApi
# Automatically generated by swagger-codegen (github.com/swagger-api/swagger-codegen)
# Please update as you see appropriate
describe 'LabelsApi' do
  before do
    # run before each test
    @instance = RoyalMail::LabelsApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of LabelsApi' do
    it 'should create an instance of LabelsApi' do
      expect(@instance).to be_instance_of(RoyalMail::LabelsApi)
    end
  end

  # unit tests for get_orders_label_async
  # Return a single PDF file with generated label and/or associated document(s)
  # &lt;b&gt;Reserved for OBA customers only&lt;/b&gt;  The account \&quot;Label format\&quot; settings page will control the page format settings used to print the postage label and associated documents. Certain combinations of these settings may prevent associated documents from being printed together with the postage label within a single document. If this occurs the documentType option can be used in a separate call to print missing documents. 
  # @param order_identifiers One or several Order Identifiers or Order References separated by semicolon. Order Identifiers are integer numbers. Order References are strings - each must be percent-encoded and surrounded by double quotation marks. The maximum number of identifiers is 100.
  # @param document_type Document generation mode. When documentType is set to \&quot;postageLabel\&quot; the additional parameters below must be used. These additional parameters will be ignored when documentType is not set to \&quot;postageLabel\&quot;
  # @param [Hash] opts the optional parameters
  # @option opts [BOOLEAN] :include_returns_label Include returns label. Required when documentType is set to &#x27;postageLabel&#x27;
  # @option opts [BOOLEAN] :include_cn Include CN22/CN23 with label. Optional parameter. If this parameter is used the setting will override the default account behaviour specified in the \&quot;Label format\&quot; setting \&quot;Generate customs declarations with orders\&quot;
  # @return [String]
  describe 'get_orders_label_async test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
